Show / Hide Table of Contents

# Class GameFontHandle

Prepare and keep game font loaded for use in OnDraw.

##### Inheritance

System.Object
GameFontHandle

##### Implements

System.IDisposable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface.GameFonts

###### Assembly: Dalamud.dll

##### Syntax

    public class GameFontHandle : IDisposable

### Properties

| Improve this Doc View Source

#### Available

Gets a value indicating whether this font is ready for use.

##### Declaration

    public bool Available { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### FdtReader

Gets the FdtReader.

##### Declaration

    public FdtReader FdtReader { get; }

##### Property Value

Type | Description
--- | ---
FdtReader |

| Improve this Doc View Source

#### ImFont

Gets the font.

##### Declaration

    public ImFontPtr ImFont { get; }

##### Property Value

Type | Description
--- | ---
ImFontPtr |

| Improve this Doc View Source

#### Style

Gets the font style.

##### Declaration

    public GameFontStyle Style { get; }

##### Property Value

Type | Description
--- | ---
GameFontStyle |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### LayoutBuilder(String)

Creates a new GameFontLayoutPlan.Builder.

##### Declaration

    public GameFontLayoutPlan.Builder LayoutBuilder(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text | Text.

##### Returns

Type | Description
--- | ---
GameFontLayoutPlan.Builder | A new builder for GameFontLayoutPlan.

| Improve this Doc View Source

#### Text(String)

Draws text.

##### Declaration

    public void Text(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text | Text to draw.

| Improve this Doc View Source

#### TextColored(Vector4, String)

Draws text in given color.

##### Declaration

    public void TextColored(Vector4 col, string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Numerics.Vector4 | col | Color.
System.String | text | Text to draw.

| Improve this Doc View Source

#### TextDisabled(String)

Draws disabled text.

##### Declaration

    public void TextDisabled(string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | text | Text to draw.

### Implements

System.IDisposable